> ## Documentation Index
> Fetch the complete documentation index at: https://agentstack.beeai.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# User Feedback



## OpenAPI

````yaml /development/api-reference/openapi.json post /api/v1/user_feedback
openapi: 3.1.0
info:
  title: Agentstack server
  version: 0.6.3
servers: []
security: []
paths:
  /api/v1/user_feedback:
    post:
      tags:
        - user_feedback
      summary: User Feedback
      operationId: user_feedback_api_v1_user_feedback_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InsertUserFeedbackRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    InsertUserFeedbackRequest:
      properties:
        provider_id:
          type: string
          format: uuid
          title: Provider Id
        task_id:
          type: string
          format: uuid
          title: Task Id
        context_id:
          type: string
          format: uuid
          title: Context Id
        rating:
          type: integer
          title: Rating
          description: Rating thats either 1 or -1
        message:
          type: string
          title: Message
        comment_tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Comment Tags
        comment:
          anyOf:
            - type: string
            - type: 'null'
          title: Comment
      type: object
      required:
        - provider_id
        - task_id
        - context_id
        - rating
        - message
      title: InsertUserFeedbackRequest
      description: Request to create a user feedback.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBasic:
      type: http
      scheme: basic
    HTTPBearer:
      type: http
      scheme: bearer

````